;; nullDC config file;;
[nullDC]
Dynarec.Enabled=1
Dynarec.DoConstantPropagation=1
Dynarec.UnderclockFpu=0
Dreamcast.Cable=1
Dreamcast.RTC=1850486118
Emulator.AutoStart=0
Emulator.NoConsole=1
Dreamcast.Region=1
Dreamcast.Broadcast=3
Dynarec.SafeMode=1

[nullDC_plugins]
GUI=nullDC_GUI_Win32.dll
Current_GDR=ImgReader_Win32.dll
Current_AICA=nullAICA_Win32.dll
Current_ExtDevice=nullExtDev_Win32.dll
Current_maple0_0=NULL
Current_maple0_1=NULL
Current_maple0_2=NULL
Current_maple0_3=NULL
Current_maple0_4=NULL
Current_maple0_5=drkMapleDevices_Win32.dll:0
Current_maple1_0=NULL
Current_maple1_1=NULL
Current_maple1_2=NULL
Current_maple1_3=NULL
Current_maple1_4=NULL
Current_maple1_5=NULL
Current_maple2_0=NULL
Current_maple2_1=NULL
Current_maple2_2=NULL
Current_maple2_3=NULL
Current_maple2_4=NULL
Current_maple2_5=NULL
Current_maple3_0=NULL
Current_maple3_1=NULL
Current_maple3_2=NULL
Current_maple3_3=NULL
Current_maple3_4=NULL
Current_maple3_5=NULL
Current_ARM=vbaARM_Win32.dll
Current_PVR=drkPvr_Win32.dll

[drkpvr]
Emulation.AlphaSortMode=1
Emulation.PaletteMode=1
Emulation.ModVolMode=1
Emulation.ZBufferMode=3
OSD.ShowFPS=0
OSD.ShowStats=0
Fullscreen.Enabled=0
Fullscreen.Res_X=1280
Fullscreen.Res_Y=1024
Fullscreen.Refresh_Rate=60
Enhancements.MultiSampleCount=0
Enhancements.MultiSampleQuality=0
Enhancements.AspectRatioMode=1
Emulation.TexCacheMode=0
Video.ResolutionMode=0
Video.VSync=1
Emulation.RadeonRoundfix=0

[ImageReader]
PatchRegion=1
LoadDefaultImage=0
DefaultImage=defualt.gdi
LastImage=c:\game.gdi

[nullAica]
BufferSize=4096
LimitFPS=1
HW_mixing=0
SoundRenderer=1
GlobalFocus=1
BufferCount=1
CDDAMute=0
GlobalMute=0
DSPEnabled=0
Volume=90

[nullExtDev]
mode=0
adapter=0

[ndc_hookjoy]
PortA_CONT_C=66
PortA_CONT_B=88
PortA_CONT_A=86
PortA_CONT_START=16
PortA_CONT_DPAD_UP=38
PortA_CONT_DPAD_DOWN=40
PortA_CONT_DPAD_LEFT=37
PortA_CONT_DPAD_RIGHT=39
PortA_CONT_Z=77
PortA_CONT_Y=90
PortA_CONT_X=67
PortA_CONT_DPAD2_UP=0
PortA_CONT_DPAD2_DOWN=0
PortA_CONT_DPAD2_LEFT=0
PortA_CONT_DPAD2_RIGHT=0
PortA_CONT_ANALOG_UP=73
PortA_CONT_ANALOG_DOWN=75
PortA_CONT_ANALOG_LEFT=74
PortA_CONT_ANALOG_RIGHT=76
PortA_CONT_LSLIDER=65
PortA_CONT_RSLIDER=83
PortB_CONT_C=66
PortB_CONT_B=88
PortB_CONT_A=86
PortB_CONT_START=16
PortB_CONT_DPAD_UP=38
PortB_CONT_DPAD_DOWN=40
PortB_CONT_DPAD_LEFT=37
PortB_CONT_DPAD_RIGHT=39
PortB_CONT_Z=77
PortB_CONT_Y=90
PortB_CONT_X=67
PortB_CONT_DPAD2_UP=0
PortB_CONT_DPAD2_DOWN=0
PortB_CONT_DPAD2_LEFT=0
PortB_CONT_DPAD2_RIGHT=0
PortB_CONT_ANALOG_UP=73
PortB_CONT_ANALOG_DOWN=75
PortB_CONT_ANALOG_LEFT=74
PortB_CONT_ANALOG_RIGHT=76
PortB_CONT_LSLIDER=65
PortB_CONT_RSLIDER=83
PortC_CONT_C=66
PortC_CONT_B=88
PortC_CONT_A=86
PortC_CONT_START=16
PortC_CONT_DPAD_UP=38
PortC_CONT_DPAD_DOWN=40
PortC_CONT_DPAD_LEFT=37
PortC_CONT_DPAD_RIGHT=39
PortC_CONT_Z=77
PortC_CONT_Y=90
PortC_CONT_X=67
PortC_CONT_DPAD2_UP=0
PortC_CONT_DPAD2_DOWN=0
PortC_CONT_DPAD2_LEFT=0
PortC_CONT_DPAD2_RIGHT=0
PortC_CONT_ANALOG_UP=73
PortC_CONT_ANALOG_DOWN=75
PortC_CONT_ANALOG_LEFT=74
PortC_CONT_ANALOG_RIGHT=76
PortC_CONT_LSLIDER=65
PortC_CONT_RSLIDER=83
PortD_CONT_C=66
PortD_CONT_B=88
PortD_CONT_A=86
PortD_CONT_START=16
PortD_CONT_DPAD_UP=38
PortD_CONT_DPAD_DOWN=40
PortD_CONT_DPAD_LEFT=37
PortD_CONT_DPAD_RIGHT=39
PortD_CONT_Z=77
PortD_CONT_Y=90
PortD_CONT_X=67
PortD_CONT_DPAD2_UP=0
PortD_CONT_DPAD2_DOWN=0
PortD_CONT_DPAD2_LEFT=0
PortD_CONT_DPAD2_RIGHT=0
PortD_CONT_ANALOG_UP=73
PortD_CONT_ANALOG_DOWN=75
PortD_CONT_ANALOG_LEFT=74
PortD_CONT_ANALOG_RIGHT=76
PortD_CONT_LSLIDER=65
PortD_CONT_RSLIDER=83
local_port=0
server_addr=192.168.1.33
server_port=11122
PortA_I_SERVICE_KEY_1=115
PortA_I_TEST_KEY_1=116
PortA_I_SERVICE_KEY_2=117
PortA_I_TEST_KEY_2=118
PortA_I_START_KEY=49
PortA_I_COIN_KEY=53
PortA_I_UP_KEY=38
PortA_I_DOWN_KEY=40
PortA_I_LEFT_KEY=37
PortA_I_RIGHT_KEY=39
PortA_I_BTN0_KEY=85
PortA_I_BTN1_KEY=73
PortA_I_BTN2_KEY=79
PortA_I_BTN3_KEY=74
PortA_I_BTN4_KEY=75
PortA_I_BTN5_KEY=76
PortB_I_SERVICE_KEY_1=115
PortB_I_TEST_KEY_1=116
PortB_I_SERVICE_KEY_2=117
PortB_I_TEST_KEY_2=118
PortB_I_START_KEY=50
PortB_I_COIN_KEY=54
PortB_I_UP_KEY=101
PortB_I_DOWN_KEY=98
PortB_I_LEFT_KEY=97
PortB_I_RIGHT_KEY=99
PortB_I_BTN0_KEY=45
PortB_I_BTN1_KEY=36
PortB_I_BTN2_KEY=33
PortB_I_BTN3_KEY=46
PortB_I_BTN4_KEY=35
PortB_I_BTN5_KEY=34
PortC_I_SERVICE_KEY_1=115
PortC_I_TEST_KEY_1=116
PortC_I_SERVICE_KEY_2=117
PortC_I_TEST_KEY_2=118
PortC_I_START_KEY=49
PortC_I_COIN_KEY=53
PortC_I_UP_KEY=38
PortC_I_DOWN_KEY=40
PortC_I_LEFT_KEY=37
PortC_I_RIGHT_KEY=39
PortC_I_BTN0_KEY=90
PortC_I_BTN1_KEY=88
PortC_I_BTN2_KEY=67
PortC_I_BTN3_KEY=65
PortC_I_BTN4_KEY=83
PortC_I_BTN5_KEY=68
PortD_I_SERVICE_KEY_1=115
PortD_I_TEST_KEY_1=116
PortD_I_SERVICE_KEY_2=117
PortD_I_TEST_KEY_2=118
PortD_I_START_KEY=49
PortD_I_COIN_KEY=53
PortD_I_UP_KEY=38
PortD_I_DOWN_KEY=40
PortD_I_LEFT_KEY=37
PortD_I_RIGHT_KEY=39
PortD_I_BTN0_KEY=90
PortD_I_BTN1_KEY=88
PortD_I_BTN2_KEY=67
PortD_I_BTN3_KEY=65
PortD_I_BTN4_KEY=83
PortD_I_BTN5_KEY=68

[nullMaple]
ProfileCount=0

[zNullMaple_port00]
DGUID_Data1=0
DGUID_Data2=0
DGUID_Data3=0
DGUID_Data4a=0
DGUID_Data4b=0
Connected=0
DevType=0
KeyMap[00]=0
KeyMap[01]=0
KeyMap[02]=0
KeyMap[03]=0
KeyMap[04]=0
KeyMap[05]=0
KeyMap[06]=0
KeyMap[07]=0
KeyMap[08]=0
KeyMap[09]=0
KeyMap[0A]=0
KeyMap[0B]=0
KeyMap[0C]=0
KeyMap[0D]=0
KeyMap[0E]=0
KeyMap[0F]=0
KeyMap[10]=0
KeyMap[11]=0
KeyMap[12]=0
KeyMap[13]=0
KeyMap[14]=0
KeyMap[15]=0
KeyMap[16]=0
KeyMap[17]=0
KeyMap[18]=0
KeyMap[19]=0
KeyMap[1A]=0
KeyMap[1B]=0
KeyMap[1C]=0
KeyMap[1D]=0
KeyMap[1E]=0
KeyMap[1F]=0

[zNullMaple_port01]
DGUID_Data1=0
DGUID_Data2=0
DGUID_Data3=0
DGUID_Data4a=0
DGUID_Data4b=0
Connected=0
DevType=0
KeyMap[00]=0
KeyMap[01]=0
KeyMap[02]=0
KeyMap[03]=0
KeyMap[04]=0
KeyMap[05]=0
KeyMap[06]=0
KeyMap[07]=0
KeyMap[08]=0
KeyMap[09]=0
KeyMap[0A]=0
KeyMap[0B]=0
KeyMap[0C]=0
KeyMap[0D]=0
KeyMap[0E]=0
KeyMap[0F]=0
KeyMap[10]=0
KeyMap[11]=0
KeyMap[12]=0
KeyMap[13]=0
KeyMap[14]=0
KeyMap[15]=0
KeyMap[16]=0
KeyMap[17]=0
KeyMap[18]=0
KeyMap[19]=0
KeyMap[1A]=0
KeyMap[1B]=0
KeyMap[1C]=0
KeyMap[1D]=0
KeyMap[1E]=0
KeyMap[1F]=0

[zNullMaple_port02]
DGUID_Data1=0
DGUID_Data2=0
DGUID_Data3=0
DGUID_Data4a=0
DGUID_Data4b=0
Connected=0
DevType=0
KeyMap[00]=0
KeyMap[01]=0
KeyMap[02]=0
KeyMap[03]=0
KeyMap[04]=0
KeyMap[05]=0
KeyMap[06]=0
KeyMap[07]=0
KeyMap[08]=0
KeyMap[09]=0
KeyMap[0A]=0
KeyMap[0B]=0
KeyMap[0C]=0
KeyMap[0D]=0
KeyMap[0E]=0
KeyMap[0F]=0
KeyMap[10]=0
KeyMap[11]=0
KeyMap[12]=0
KeyMap[13]=0
KeyMap[14]=0
KeyMap[15]=0
KeyMap[16]=0
KeyMap[17]=0
KeyMap[18]=0
KeyMap[19]=0
KeyMap[1A]=0
KeyMap[1B]=0
KeyMap[1C]=0
KeyMap[1D]=0
KeyMap[1E]=0
KeyMap[1F]=0

[zNullMaple_port03]
DGUID_Data1=0
DGUID_Data2=0
DGUID_Data3=0
DGUID_Data4a=0
DGUID_Data4b=0
Connected=0
DevType=0
KeyMap[00]=0
KeyMap[01]=0
KeyMap[02]=0
KeyMap[03]=0
KeyMap[04]=0
KeyMap[05]=0
KeyMap[06]=0
KeyMap[07]=0
KeyMap[08]=0
KeyMap[09]=0
KeyMap[0A]=0
KeyMap[0B]=0
KeyMap[0C]=0
KeyMap[0D]=0
KeyMap[0E]=0
KeyMap[0F]=0
KeyMap[10]=0
KeyMap[11]=0
KeyMap[12]=0
KeyMap[13]=0
KeyMap[14]=0
KeyMap[15]=0
KeyMap[16]=0
KeyMap[17]=0
KeyMap[18]=0
KeyMap[19]=0
KeyMap[1A]=0
KeyMap[1B]=0
KeyMap[1C]=0
KeyMap[1D]=0
KeyMap[1E]=0
KeyMap[1F]=0

[nullDC_GUI]
AutoHideMenu=1
Fullscreen=0
AlwaysOnTop=0

[Xmaple]
Controller.DeadZone=25
PuruPuru.UseRealFrequency=1
PuruPuru.Length=175
PuruPuru.Intensity=100
PuruPuru.SDL_Rumble=0

[VMU]
ShowVMU=1

[drkMaple]
VMU.Show=1
Mouse.Sensitivity=100
ShowVMU=1

[PuruPuru_Pad_1]
l_shoulder=-1
r_shoulder=-1
a_button=-1
b_button=-1
x_button=-1
y_button=-1
start_button=-1
dpad_up=-1
dpad_down=-1
dpad_left=-1
dpad_right=-1
main_x_left=-1
main_x_right=-1
main_y_up=-1
main_y_down=-1
halfpress=-1
deadzone=24
keyboard=0
joy_id=0
controllertype=0
eventnum=0

[PuruPuru_Pad_2]
l_shoulder=-1
r_shoulder=-1
a_button=-1
b_button=-1
x_button=-1
y_button=-1
start_button=-1
dpad_up=-1
dpad_down=-1
dpad_left=-1
dpad_right=-1
main_x_left=-1
main_x_right=-1
main_y_up=-1
main_y_down=-1
halfpress=-1
deadzone=24
keyboard=0
joy_id=0
controllertype=0
eventnum=0

[PuruPuru_Pad_3]
l_shoulder=-1
r_shoulder=-1
a_button=-1
b_button=-1
x_button=-1
y_button=-1
start_button=-1
dpad_up=-1
dpad_down=-1
dpad_left=-1
dpad_right=-1
main_x_left=-1
main_x_right=-1
main_y_up=-1
main_y_down=-1
halfpress=-1
deadzone=24
keyboard=0
joy_id=0
controllertype=0
eventnum=0

[PuruPuru_Pad_4]
l_shoulder=-1
r_shoulder=-1
a_button=-1
b_button=-1
x_button=-1
y_button=-1
start_button=-1
dpad_up=-1
dpad_down=-1
dpad_left=-1
dpad_right=-1
main_x_left=-1
main_x_right=-1
main_y_up=-1
main_y_down=-1
halfpress=-1
deadzone=24
keyboard=0
joy_id=0
controllertype=0
eventnum=0

[PuruPuru_NAOMI_1]
d_up=-1
d_down=-1
d_left=-1
d_right=-1
button1=-1
button2=-1
button3=-1
button4=-1
button5=-1
button6=-1
start=-1
coin=-1
Service1=-1
Service2=-1
Test1=-1
Test2=-1
keyboard=0
joy_id=0
controllertype=0

[PuruPuru_NAOMI_2]
d_up=-1
d_down=-1
d_left=-1
d_right=-1
button1=-1
button2=-1
button3=-1
button4=-1
button5=-1
button6=-1
start=-1
coin=-1
Service1=-1
Service2=-1
Test1=-1
Test2=-1
keyboard=0
joy_id=0
controllertype=0

[Naomi]
LoadDefaultImage=0

